
Katello - Bug #6021

Unable to list user Orgs from Subscription Manager

06/02/2014 07:44 PM - Michael Stead

Status: Closed   

Priority: Normal   

Assignee: Michael Stead   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1104177 Red Hat JIRA:  

Pull request:    

Description

Subscription Manager is gettting an empty set of Orgs when calling GET /users/:login/list_owners

This affects the following in subscription-manager:

- GUI registration: Unable to register because there are no Orgs to select from.

- CLI orgs command: No orgs are returned for the target user.

It appears that the API call is being routed to the UsersController instead of the CandlepinProxiesController.

Associated revisions

Revision a39c11fb - 06/03/2014 05:52 PM - Michael Stead

Fixes #6021 - Remove route mapping to UsersController

GET /users/:login/owners was being mapped twice.

Remove route to UsersController and allow it to route

to the CandlepinProxiesController.

Revision eb173d61 - 06/03/2014 08:34 PM - Eric Helms

Merge pull request #4200 from mstead/Fixes-6021

Fixes #6021 - Remove route mapping to UsersController

History

#1 - 06/03/2014 12:47 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1104177

#2 - 06/03/2014 01:46 PM - Michael Stead

- Status changed from New to Assigned

#3 - 06/03/2014 08:33 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/03/2014 08:53 PM - Michael Stead

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a39c11fb9237c725aadcf0ae93a35c1ba481e86d.

#5 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
